import { Component, OnInit } from '@angular/core';
import { GooglemapService } from '../services/googlemap.service';

@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage implements OnInit {

  public direccion: string = "";
  public lat = null;
  public lng = null;
  public groupname: string = "Cliente";
  public groups: boolean = false;
  public terms: boolean = true;
  ///
  /// Se agrego arreglo con abreviaturas de departamento y nombres de ciudad
  public data = {
    direccion:"",
    ciudad:"",
    numero:"",
    casa:"",
    departamento:[{
      id:0,
      nombre:"Medellin",
      abreviatura:"ANTQ"
    },
    {
      id:1,
      nombre:"Pamplona",
      abreviatura:"NS"
    }
  ],
    is_superuser: true
  };
  constructor(private googleMap: GooglemapService) {}

  ngOnInit(){
    this.dir();
  }

  dir(){
    this.googleMap.loadMap(this.data).then((data:any) => {
      
      this.direccion = data.dir;
      this.lat = data.lat;
      this.lng = data.lng;
    })
  }
  send(){

  }

}
